LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Games (http://www.linuxquestions.org/questions/linux-games-33/)
-   -   Wine, World of Warcraft (No more patches from mirrors & Launcher doesn't work for me,) Now what? (http://www.linuxquestions.org/questions/linux-games-33/wine-world-of-warcraft-no-more-patches-from-mirrors-and-launcher-doesn%27t-work-for-me-now-what-844939/)

Amdx2_x64 11-17-2010 06:14 PM

Wine, World of Warcraft (No more patches from mirrors & Launcher doesn't work for me,) Now what?
 
Well it looks like trying to use World of Warcraft in wine isn't going to be possible anymore. I have had to update it with patches from mirrors, the Launcher.exe never worked right or at all for me.

Now that they have the launcher stream the downloads so it is easier for Windows and Mac users, I need to use the Launcher.exe. However for me I get an error that says the skin archive is damaged. So it won't start. So that is that.

I planned on installing XP and seeing if I could just copy it over, but that isn't even an option for me. I don't use Windows and forgot that I don't have the disks for it anymore.

Anyone have any idea on how I can, or if I can, deal with this? If not then I am glad this happened before I wasted money on Cataclysm.

foodown 11-17-2010 06:26 PM

According to this: http://appdb.winehq.org/objectManage...sion&iId=20549

the launcher will work . . . have you tried following the steps in the WINE app DB?

Amdx2_x64 11-17-2010 06:32 PM

I looked through there but I am not seeing anything relating to the launcher issue I am having. I can't even get it to load, it says the skin archive is damaged. I am not sure what to do about that.

I have the game patched up to 4.0.1 and no launcher.

Error says,

Quote:

Launcher cannot run because its skin archive is damaged. Please run Repair.
Which I do and it says nothing needs to be repaired.


Edit: Also Wine, http://appdb.winehq.org/objectManage...ation&iId=1922, as of this post is showing the current version is 4.0.1, nothing about 4.0.3 yet.

foodown 11-17-2010 06:40 PM

Have you tried reinstalling into a fresh WINE prefix using the WoW downloader?

Amdx2_x64 11-17-2010 06:49 PM

Quote:

Originally Posted by foodown (Post 4162448)
Have you tried reinstalling into a fresh WINE prefix using the WoW downloader?


I can give that a try. Took me six hours yesterday to get it installed, I dread having to do it all over again. But at least the patches up to 4.0.1 are already downloaded.

Maybe I should try doing it through playonlinux, might help maybe.

Edit: Added server info for PlayOnLinux in the pacman.conf file. Installing it now. Will update when I get WoW installed again. Trying to cross my fingers hoping this will work, but I find it very difficult to type that way ;)

Amdx2_x64 11-17-2010 07:22 PM

Good news. Found some old Windows Disks, Win98 and XP upgrade. Going to try it in virtual box and see if I can copy it over, after updating WoW to the current, to wine.

foodown 11-17-2010 07:36 PM

Quote:

Originally Posted by Amdx2_x64 (Post 4162486)
Good news. Found some old Windows Disks, Win98 and XP upgrade. Going to try it in virtual box and see if I can copy it over, after updating WoW to the current, to wine.

You'd really rather go through the installation process for Windows than try installing WoW again? According to the AppDB, the launcher will work. A clean install would almost definitely do it.

Suit yourself. Let us know how it turns out.

Amdx2_x64 11-17-2010 08:01 PM

Quote:

Originally Posted by foodown (Post 4162499)
You'd really rather go through the installation process for Windows than try installing WoW again? According to the AppDB, the launcher will work. A clean install would almost definitely do it.

Suit yourself. Let us know how it turns out.


I know. I am just worried that it won't work with patch 4.0.3 unless I copy it over from Virtual Box XP install instead.

I guess in all fairness (this is a Linux forum,) I should at least try it again with Wine and see first.

Amdx2_x64 11-17-2010 10:28 PM

Well I tried it again and it refuses to do anything. Keeps telling me that the skin archive is damaged. This was a fresh install on wine to.

Edit: It told me to run Repair.exe to fix it. I did, it even told me it fixed it. Ran Launcher.exe and got the same error. Ran Repair.exe and then it told me there is nothing to repair.

foodown 11-17-2010 11:11 PM

Are you using a CD/DVD to install, or the downloader?

What version of WINE do you have?

What video card do you have?

What drivers are you using for the video card?

Amdx2_x64 11-18-2010 01:13 AM

* Until I get to the patch I am using the cd/dvd's. Original-WotLK (Of Course with WotLK since most of its hidden I have to copy them off of the DvD. Easy enough to do.)
*Wine 1.3.7
*Nvidia GT220
*Nvidia Drivers Only

foodown 11-18-2010 01:44 AM

I'm assuming that by "nVidia drivers only," you mean the commercial drivers from nVidia's site. Heck, you've had the actual client running, just not the launcher, so that has got to be what you mean.

Why not download the downloader from here:
https://us.battle.net/login/en/login...pp=wam&cr=true

I have no idea what the file that gets downloaded is called, since I don't have a WoW account. Let's say it's called "DLWoW.exe"

Try installing all-new WoW files in an all-new WINE prefeix with something like . . .
Code:

export WINEPREFIX="/home/yourUserName/.wine/WOW"
wine DLWoW.exe

Then, follow these instructions . . .
Quote:

Configuring

The suggested way to run World of Warcraft in wine is using OpenGL. You will often gain tons of FPS this way. Operation without the opengl flag is often unreliable and will not start with some cards.

Simply add the -opengl flag to the end of your WoW Launcher (recommended) :-

Open the WoW desktop shortcut (Right Click > Properties) and add -opengl to the end of the command (leaving a space). (Recommended method). (Recommended for first run after CD or download).
According to all sources online, if you do things this way, running "Launcher.exe" will work. It's always possible that there's something Launcher.exe doesn't like about the files from your CD.

Amdx2_x64 11-18-2010 10:58 AM

Problem with Downloading when you get to WotLK is that it won't install. The only way it works is to unhide/mount the /dev/dvd and copy the whole thing to hard drive. As far as the -opengl, it won't run if I don't add that. So that is something already there.

I tried this a few times and decided to do something, which I am glad I did. I installed XP on a small partition, installed the game up to WotLK and then did the patch. I noticed that there where files getting installed that didn't get installed in wine. I am not sure why this happened but I am just going to copy over those files over to the .wine directory and see if I can use the Launcher and update and see if that was actually the problem.

Thank you for trying to help me trouble shoot this. I am on my third day of this but I think the issue is going to be solved soon. I just need to find out if it was user error on my part or something else. Hard to tell when Blizzard keeps changing things.


Edit: I stand corrected. It did install them same things in wine, well at least the folder I thought it didn't have wine actually did have it.

Amdx2_x64 11-18-2010 11:37 AM

Ok. Now I know it has something to do with Wine and the new way WoW is doing things. I installed the full copy of WoW from my XP install. And I am STILL getting this error, "Launcher cannot run because skin archive is damaged. Please run Repair."

Edit: Which I did run Repair.exe and while it said, as before, that it fixed it. Nothing was fixed.

Edit Edit: http://appdb.winehq.org/objectManage...sion&iId=20549 is now showing that it is version 4.0.3 but they are still using the info they had their yesterday when it was 4.0.1. Pretty much useless right now.

This is beyond annoying. I am not annoyed at WineHQ but at Blizzard. They are trying to dumb things up so much for Windows users (to make patches more easy to install,) it is pathetic.

After doing some research it seems others have had this issue. Well at least I have it installed on XP for now until the problem can be figured out and fixed, if it can be. For now I am going to leave this open since the issue isn't resolved yet. If I hear any new news I will post it here.


All times are GMT -5. The time now is 12:00 AM.